:root {
  --text-color: black;
  --button-main-color: #003c71;
  --button-small-color: #f8f6f7;
  --button-shadow-color: #007fae;
  --sub-title-font-size: 24px;
  --error-color: #d4361d;
}

.input-label-reset {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-weight: bold;
  font-size: 19px;
  line-height: 25px;
  color: #0b0c0c;
  display: block;
  margin-bottom: 7px;
  /*margin: 13px 0 7px 0;*/
}

.input-label {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-weight: bold;
  font-size: var(--sub-title-font-size);
  line-height: 1.25;
  color: #0b0c0c;
  display: block;
  margin-bottom: 7px;
  /*margin: 13px 0 7px 0;*/
}

.input-text {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.25;
  box-sizing: border-box;
  width: 100% !important;
  max-width: 23.85em !important;
  height: 2.5rem;
  margin-top: 0;
  padding: 5px;
  border: 2px solid #0b0c0c;
  border-radius: 0;
  -webkit-appearance: none;
  appearance: none;
}

.input-text:focus {
  outline: 3px solid #ffdd00;
  outline-offset: 0;
  box-shadow: inset 0 0 0 2px;
}

/* Media query for smaller screens or zooming in*/
@media (max-width: 420px) {
  .input-text {
    width: 93% !important;
  }
}

/* For even smaller screens or heavy zoom-in, further adjust
@media (max-width: 480px) {
  .input-text {
    max-width: 100%;
    height: 2rem;
  }
}*/

/*@media (max-width: 800px) {
  .main-container {
    padding: 20px 25px;
  }
}*/

.input-group-error {
  padding: 0 0 0 20px;
  border-left: solid 5px var(--error-color);
}

.input-label-error {
  display: block;
  color: var(--error-color);
  font-size: 19px;
  font-weight: bold;
  margin-bottom: 5px;
}

.input-text-error {
  border: 2px solid var(--error-color);
}

.signin-button {
  width: auto;
  height: 45px;
  flex-grow: 0;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
  padding: 7px 12px 6px;
  box-shadow: 0px 2px 0px 0px #007fae;
  background-color: var(--button-main-color);
  color: white;
  font-size: 19px;
  font-weight: bold;
  border-radius: 0;
  border-width: 0;
}

.signin-button:hover {
    background-color: #003c71 !important;
    color: #ffffff !important;
}

.signin-button:active{
    border: 3px solid #fd0;
    transform: translateY(2px);
    box-shadow: 0 0 0 0;
}

.signin-button:focus-visible {
    border-color: none;
    background-color: #fd0;
    outline: 3px solid transparent;
    color: #0b0c0c;
    box-shadow: 0 2px #0b0c0c;
}

.grey-button {
  width: 75px;
  height: 38px;
  flex-grow: 0;
  background: #f3f2f1;
  font-size: 19px;
  font-weight: 300;
  border: none;
  box-shadow: 0px 2px 0px 0px #007fae;
  cursor: pointer;
  border-radius: 0;
}

.grey-button:active{
    border: 3px solid #fd0;
    transform: translateY(2px);
    box-shadow: 0 0 0 0;
}

.grey-button:focus-visible {
    outline-style:none;
    border: 3px solid #fd0;
    background-color: #fd0;
    color: #0b0c0c;
    box-shadow: 0 2px 0 0 #0b0c0c;
}

.grey-button:hover {
        background-color: #dbdad9 !important;
}

.grey-button:hover:focus-visible {
    box-shadow: 0 1px 0 0 #fd0;
}

.reset-button {
  width: auto;
  height: 38px;
  padding: 5px 10px;
  margin-left: 10px;
  box-shadow: 0px 2px 0px 0px #007fae;
  background-color: var(--button-main-color);
  color: #fff;
  font-size: 19px;
  cursor: pointer;
  border-width: 0;
}

.reset-button:hover {
    background-color: #003c71 !important;
    color: #ffffff !important;
}

.reset-button:active{
    outline: 3px solid #fd0;
    transform: translateY(2px);
    box-shadow: 0 0 0 0;
}

.reset-button:focus-visible {
    border-color: none;
    background-color: #fd0;
    outline: 3px solid transparent;
    color: #0b0c0c;
    box-shadow: 0 2px #0b0c0c;
}

.width-80{
   width: 80px;
}

.vf-reset-button {
  width: auto;
  height: 38px;
  padding: 5px 10px;
  box-shadow: 0px 2px 0px 0px #007fae;
  background-color: var(--button-main-color);
  color: #fff;
  font-size: 19px;
  cursor: pointer;
  border-width: 0;
}

.vf-reset-button:hover {
    background-color: #003c71 !important;
    color: #FFFFFF !important;
}

.vf-reset-button:active{
    outline: 3px solid #fd0;
    transform: translateY(2px);
    box-shadow: 0 0 0 0;
}

.vf-reset-button:focus-visible {
    border-color: none;
    background-color: #fd0;
    outline: 3px solid transparent;
    color: #0b0c0c;
    box-shadow: 0 2px #0b0c0c;
}

.main-container-links {
  height: 25px;
  align-self: stretch;
  text-align: left;
}

.main-container-links > a {
  font-size: 19px;
  font-weight: 300;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.32;
  letter-spacing: normal;
  color: #003078;
}

.TandC-text {
  flex-grow: 1;
  font-family: Verdana;
  font-size: 19px;
  font-weight: bold;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.68;
  letter-spacing: normal;
  text-align: left;
  color: #000;
}

a.black {
  color: #000 !important;
}

.container-error-row > div.error-title {
  font-size: var(--sub-title-font-size);
  font-weight: bold;
  line-height: 1.25;
}

.container-error-row > div.error-messages > div.error-message {
  font-size: 19px;
  color: var(--error-color);
  font-weight: bold;
  text-decoration: underline;
  width: fit-content;
}

.container-error-row > div.error-messages > div.error-message:hover {
  cursor: pointer;
color: #942514;
}

.hide-error {
    display: none;
}